This patch fixes a bug with parsing keys, causing invalid mode
changes to be sent out to clients.

To apply this diff:
  CD SRC/modules
  patch -p1 < ircd-ratbox-2.0.8+key.diff
  make
  make install

Then via irc:
  /quote modrestart

Index: modules/core/m_mode.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/m_mode.c,v
retrieving revision 1.112.2.7
diff -u -r1.112.2.7 m_mode.c
--- modules/core/m_mode.c	30 Apr 2005 20:22:35 -0000	1.112.2.7
+++ modules/core/m_mode.c	9 May 2005 13:41:06 -0000
@@ -700,7 +700,7 @@
 	for (s = t = (u_char *) arg; (c = *s); s++)
 	{
 		c &= 0x7f;
-		if((c != 0x0a) && (c != ':') && (c != 0x0d))
+		if((c != 0x0a) && (c != ':') && (c != 0x0d) && (c != ' '))
 			*t++ = c;
 	}
 
@@ -1179,14 +1179,14 @@
 		key = LOCAL_COPY(parv[(*parn)]);
 		(*parn)++;
 
-		if(EmptyString(key))
-			return;
-
 		if(MyClient(source_p))
 			fix_key(key);
 		else
 			fix_key_remote(key);
 
+		if(EmptyString(key))
+			return;
+
 		s_assert(key[0] != ' ');
 		strlcpy(chptr->mode.key, key, sizeof(chptr->mode.key));
 
